<?php

use Illuminate\Database\Migrations\Migration;

class CreateArticlesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: articles
         */
        Schema::create('articles', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->string('sapo', 255)->nullable();
            $table->text('content')->nullable();
            $table->dateTime('published_at')->nullable();
            $table->integer('category_id')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('articles');
    }
}
