<?php

// Admin routes for article
Route::group(['prefix' => trans_setlocale().'/admin/article', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('article', 'Article\Article\Http\Controllers\ArticleAdminController');
});

// User routes for article
Route::group(['prefix' => trans_setlocale().'/user/article', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('article', 'Article\Article\Http\Controllers\ArticleUserController');
});

// Public routes for article
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('article/article', 'Article\Article\Http\Controllers\ArticlePublicController@index');
    Route::get('article/article/{slug?}', 'Article\Article\Http\Controllers\ArticlePublicController@show');
});

// Admin routes for category
Route::group(['prefix' => trans_setlocale().'/admin/article', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('category', 'Article\Article\Http\Controllers\CategoryAdminController');
});

// User routes for category
Route::group(['prefix' => trans_setlocale().'/user/article', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('category', 'Article\Article\Http\Controllers\CategoryUserController');
});

// Public routes for category
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('article/category', 'Article\Article\Http\Controllers\CategoryPublicController@index');
    Route::get('article/category/{slug?}', 'Article\Article\Http\Controllers\CategoryPublicController@show');
});
