<?php

namespace Article\Article\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Traits\Slugger;
use Litepie\Database\Model;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Trans\Traits\Trans;
use Litepie\Revision\Traits\Revision;

class Article extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Trans, Revision;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'package.article.article';


    /**
     * The Category that belong to the article.
     */
    public function Category(){
        return $this->belongsTo('Article\Article\Models\Category');
    }
}
