<?php

namespace Article\Article\Repositories\Eloquent;

use Article\Article\Interfaces\ArticleRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class ArticleRepository extends BaseRepository implements ArticleRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.article.article.model');
    }
}
